# React Native Barcode Generator

A package for generating a barcode on react native (based on jsbarcode), compatible with Expo.

## Installation

Use the package manager npm to install ccarellice-react-native-barcode-generator.

```bash
npm install ccarellice-react-native-barcode-generator
```
You have to install jsbarcode too.

```bash
npm install jsbarcode
```

## Usage
import Barcode component in your project
```javascript
import Barcode from "ccarellice-react-native-barcode-generator/Barcode";
```

```javascript
<Barcode value="9501101530003" options={{ format: 'EAN13', background: 'yellow' }}/>
```
The <Barcode/> component inherits the options from [JsBarcode](https://github.com/lindell/JsBarcode)
## Result
![Alt text](https://i.ibb.co/rfZRggv/Screenshot-2023-01-05-alle-20-12-15.png)

## Contributing

Pull requests are welcome. For major changes, please open an issue first
to discuss what you would like to change.

It's my first npm package, please give me feedbacks! Thank you very much!

## License

[MIT](https://choosealicense.com/licenses/mit/)